Create IP Library
Create IP Library
- application/json
Request Body
- libraryType IPLibraryType required
Possible values: [
ACSLS,ACSLS_SN6000]ACSLS Library Type
- host string required
Default value of Host is ACSLS default Server
mediaAgent object required
id int32name string- vendor IPLibraryVendor required
Possible values: [
STK]ACSLS Library Vendor
- model IPLibraryModel required
Possible values: [
ACSLS,ACSLS_SN6000]ACSLS Library Model
- description string
Description regarding IP library
- driveCount int32 required
Possible values:
>= 1Detail of drive count
- workPoolNumber int32 required
Detail of Work Pool Number
- volumeRange string
Volume Range Details
Responses
- 200
- 400
- 403
- 500
IP Library created successfully
- application/json
- Schema
- Example (from schema)
Schema
error object
errorMessage stringerrorCode int32library object
id int32name stringdriveInfoList object[]
List of IP Library drive details
Vendor stringDrive vendor name
Model stringDrive model name
FirmWare stringFirmware version
SerialNumber stringDrive serial number
ScsiAddress stringSCSI address of the drive
ScsiAccessPath stringSCSI access path
DriveId stringUnique drive identifier
DetectedMediaAgent stringMedia agent where the drive was detected
- driveIdList string[]
List of drive identifiers
{
"error": {
"errorMessage": "string",
"errorCode": 0
},
"library": {
"id": 0,
"name": "string"
},
"driveInfoList": [
{
"Vendor": "string",
"Model": "string",
"FirmWare": "string",
"SerialNumber": "string",
"ScsiAddress": "string",
"ScsiAccessPath": "string",
"DriveId": "string",
"DetectedMediaAgent": "string"
}
],
"driveIdList": [
"string"
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden – user does not have the required permission to create IP Library
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...